use axum::Router;
use library::typed_router::TypedRouter;

pub mod account_controller;
pub mod feedback_controller;

pub fn init() -> Router {
    Router::new()
        .typed_route(account_controller::authenticate_google)
        .typed_route(account_controller::authenticate_with_password)
        .typed_route(account_controller::refresh_token)
        .typed_route(feedback_controller::add_feedback)
        .typed_route(feedback_controller::get_feedback_list_by_page)
        .typed_route(feedback_controller::get_feedback_list)
}

